import { HeatmapData } from './butlr-api';
export declare function filterHeatmapDataByBounds(heatmapData: HeatmapData['heatmap_v2'], boundingBox?: number[][]): {
    array_cells: number[][];
    metadata: {
        max_value: number;
        total_detections: number;
        bounds: {
            min_x: number;
            max_x: number;
            min_y: number;
            max_y: number;
        };
        resolution: number;
    };
};
export declare function scaleHeatmap(array_cells: number[][]): number[][];
